\section{Introduction}
\label{sec:introduction}

Dendritic grains are a prevalent type of crystal growth morphology observed in solidification of metallic alloys. They appear widely in solidification processing: additive manufacturing (3D printing), casting, welding, brazing, etc.\ The size and shape of the grains are a key factor for the properties of the resulting material. Dendritic solidification is controlled by the extraction of latent heat, by diffusion of solute into the liquid surrounding the grains, and by properties of the solid-liquid interface. Therefore it is a multiscale phenomenon and requires the use of models at different scales, ranging from the scale of the dendrite branch (microscopic, typically $10^{-6}\,$m), over the scale of an ensemble of grains (mesoscopic, typically $10^{-3}\,$m) to the process (macroscopic, typically $1\,$m). 

At the scale of an ensemble of dendritic grains, the mesoscopic Grain Envelope Model (GEM)~\cite{steinbach1999three,delaleau2010mesoscopic,souhar2016three} is established as a powerful simulation tool. The GEM describes a dendritic grain by its envelope, which is a smooth surface that circumscribes the tips of the growing dendrite branches within a relatively simple shape. The GEM has been used to predict and characterize shapes of equiaxed dendrites~\cite{steinbach1999three,souhar2016three}, solutal interactions between dendrites~\cite{steinbach2005transient,delaleau2010mesoscopic,olmedilla2019quantitative,chirouf2023investigation}, formation of columnar dendritic patterns~\cite{viardin2017mesoscopic}, and interactions with convection of liquid~\cite{viardin2020mesoscopic}. Furthermore it has been used for upscaling to macroscopic models: macroscopic constitutive laws of grain growth kinetics have been formulated from GEM simulations of the growth of an ensemble of grains~\cite{torabirad2019upscaling}. The capabilities of the GEM to perform quantitative predictions have been assessed extensively by comparisons to experiments and microscopic models~\cite{steinbach1999three,steinbach2005transient,delaleau2010mesoscopic,souhar2016three,olmedilla2019quantitative,viardin2017mesoscopic,viardin2020mesoscopic,tourret2020comparing,boukellal2023multiscale}.

%Dendritic grains are a prevalent type of growth morphology observed in the solidification of metallic alloys. Their complex tree-like appearance results from the growth of individual dendrites, which is primarily governed by the interactions between adjacent grains. The growth of dendritic grains is often modelled using the so-called Grain Envelope Model (GEM)~\cite{souhar2016three,steinbach2005transient} -- a model capable of simulating a large number of grains as a whole, including their collective interactions. The governing concept underlying the GEM is that it is not necessary to describe each branch of the dendrite individually. Rather, it is sufficient to represent the dendrite by its envelope, which is a smooth surface enclosing an entire group of growing dendrite tips within a relatively simple shape. The growth rate of the envelope is determined using a closed-form stagnant-film model that establishes a correlation between the growth rate and the solute concentration near the envelope. Such formulation allows us to use a much coarser numerical discretization (by an order of magnitude coarser) compared to methods describing the solid-liquid interface (e.g., the phase field).

The accuracy of numerical solutions of the GEM~\cite{souhar2016three,tourret2020comparing} is determined primarily by the resolution of the solute concentration in the vicinity of the evolving grain envelope, as well as by the numerical method used to track the envelope. The standard formulations of the GEM ~\cite{steinbach1999three,steinbach2005transient,souhar2016three} use a phase-field-like interface capturing (PFIC) method~\cite{sun2007sharp} to track the grain envelope on a fixed mesh, where the tracked envelope is given by the level set of a continuous phase indicator field. The main advantage of such an approach is that it avoids explicit tracking of the envelope and instead propagates the phase field by solving a transport equation on a \emph{fixed domain}. This results in a relatively straightforward and computationally efficient method that has also been shown to be versatile and robust~\cite{sun2007sharp}.

There are, however, some drawbacks to using PFIC. In the PFIC approach, the envelope is determined from the continuous field that is propagated by solving the transport equation. Therefore, the propagation speed is not calculated only at the front, but needs to be calculated as a scalar field over the entire domain. 
This is difficult to do with high accuracy. To achieve sufficient accuracy of the propagation speed calculation for the PFIC, Souhar et al.~\cite{souhar2016three} introduced a front reconstruction technique, which adds significant computational cost to the method. A further aspect requiring particular attention is the tendency of the PFIC to smoothen the envelope~\cite{sun2007sharp}. This could in some cases hinder the development of physically significant envelope protrusions, for example such that lead to the formation of new branches of the grain.
%The front speed in GEM depends on the positions of the front and the stagnant-film, therefore, accurate determination of the distances from the envelope to the stagnant-film from any mesh point is crucial to obtain an accurate velocity field. Furthermore, the stabilization term in purely advective phase field transport smoothens the interface~\cite{sun2007sharp} and potentially hinders the development of envelope protrusions that could be physically significant. Finally, the standard fixed mesh approach also limits the resolution of small curvature radii, i.e.\ the accuracy of the shape representation is directly related to the fixed mesh spacing. As a result, small-scale features of the phase front, such as protrusions, cannot be accurately resolved on fixed meshes.

If not handled carefully, these aspects can cause undesired numerical artefacts that are potentially detrimental when describing highly non-linear phenomena such as the formation of new branches of the dendrite envelope or the evolution of branches in the initial stages of dendrite growth. It has been shown that the representation of such branching by the GEM remains faithful to the physics~\cite{viardin2017mesoscopic,viardin2020mesoscopic} but the role of numerical artefacts associated with the envelope tracking method has not yet been verified.
\hl{
A way of improving the accuracy of the front propagation without prohibitively increasing the computational cost is to refine the discretization in the vicinity of the front using adaptive spatial discretization}~\cite{Zhang2019d}. \hl{In modeling of dendritic growth such adaptive methods have been employed for solving microscopic thermodynamics-based phase-field models that describe the evolution of the solid-liquid interface of a dendrite during solidification. They have been used in conjunction with finite-element}~\cite{Provatas1999, Sarkis2016}, \hl{finite-difference}~\cite{Greenwood2018, Sakane2022, Guo2015a, Ham2024}, \hl{and meshless}~\cite{Dobravec2022, ghoneim2020smoothed, bahramifar2022local, ghoneim2016new} \hl{methods. Artefacts linked to the PFIC can also be omitted by using a different front propagation method. For dendritic growth several approaches based on level-set methods have been proposed}~\cite{Gibou2003, Tan2006, Ghoneim2018, Ramanuj2019, Limare2023}, \hl{however they also present certain limitations in the representation of curved surfaces}~\cite{DuChene2008}. \hl{Furthermore, methods based on moving tracker particles over a fixed mesh have been developed}~\cite{Juric1996, Reuther2014a}. \hl{Their advantage is a straightforward and accurate representation of the front, but their complexity lies in the coupling between the front tracking points and the underlying mesh. Note that all these approaches have been developed for microscopic dendrite growth models that describe the solid-liquid interface. Such approaches have not been used for mesoscopic dendrite envelope models, such as GEM.}

In this paper, we explore the possibility to leverage meshless methods~\cite{nguyen_meshless_2008, bayona2019insight, tolstykh2003using} to develop an alternative numerical treatment of the GEM with the aim of reducing the aforementioned numerical artefacts. One of the key properties of meshless methods is that they operate on unstructured scattered nodes~\cite{slak2019generation}, which makes the spatial discretization more flexible and therefore particularly suitable for problems with moving boundaries and problems with high spatial variation in the desired accuracy of the solution~\cite{ortega_meshless_2013}, both of which apply to GEM. 

Instead of using a fixed mesh throughout the simulation and using a phase field to capture the interface, we propose to consider the GEM as a moving boundary problem. In this approach the computational domain is the liquid surrounding the grain and the envelope is a moving boundary, where an appropriate boundary condition for the solution of solute diffusion in the liquid is applied. The envelope is described by boundary nodes that are used both as discretization nodes and as trackers of the envelope motion. In addition, we propose to use an adaptive node refinement~\cite{slak2019adaptive} that discretizes the solute field on and near the envelope with a much finer node distribution than in the regions far from the envelope. In summary, we propose an alternative numerical solution method for the GEM using an \h-adaptive meshless interface tracking (MIT) solution procedure.

Since MIT is an interface tracking method, it avoids the complexity of having to provide a velocity field over the entire domain, as well as computing an additional phase-field equation. Instead, the envelope speed is calculated only on the front, more precisely in the nodes that discretize the envelope. Additionally, the meshless methods --- by their design --- also provide all the tools necessary to accurately approximate the solute concentration required to compute the envelope velocity. MIT also avoids the smoothing of protrusions, since the envelope is described directly by trackers, thus omitting artefacts induced by a phase field. Finally, the adaptive spatial discretization offers the possibility to describe small radii of curvature on the envelope and also improves the accuracy of the concentration field in the vicinity of the envelope.

We first introduce the GEM (Section~\ref{sec:model}) and we then discuss its standard PFIC solution along with its limitations (Section~\ref{sec:diffuse}). In the next step (Section~\ref{sec:sharp}), we describe the meshless concept and the proposed MIT solution procedure, where we also discuss the expected numerical error for each principal component of the solution procedure separately. In Section~\ref{sec:istropy}, the entire solution procedure is verified on a synthetic case of isotropic envelope growth. Finally, in Section~\ref{sec:results}, we present a GEM simulation of dendritic growth using MIT and we compare the results with PFIC solutions.

%The use of sharp-interface tracking combined with an adaptive spatial discretization would be advantageous for two reasons: (1) a sharp-interface description would enable us to eliminate the numerical artifacts related to a diffuse-interface; (2) adaptive methods can automatically refine the spatial discretization where required by the form of the solution, typically in the regions of high gradients surrounding the grains, thus increasing the accuracy of the numerical solution.